%define oname uTidylib

Summary:       Python wrapper for tidy, from the HTML tidy project
Name:          python-tidy
Version:       0.3
Release:       1%{?dist}
License:       MIT
Group:         Development/Languages
URL:           https://cihar.com/software/utidylib/
Source0:       http://dl.cihar.com/utidylib/uTidylib-%{version}.tar.bz2
BuildRequires: libtidy
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-six
BuildRequires: python-tools
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-six
BuildArch:     noarch

%description
Python wrapper (bindings) for tidylib, this allows you to tidy HTML
files through a Pythonic interface.

%package     -n python2-tidy
Summary:       Python wrapper for tidy, from the HTML tidy project
%{?python_provide:%python_provide python2-tidy}
Requires:      libtidy
Requires:      python-six
%description -n python2-tidy
Python wrapper (bindings) for tidylib, this allows you to tidy HTML
files through a Pythonic interface.

%package     -n python3-tidy
Summary:       Python wrapper for tidy, from the HTML tidy project
%{?python_provide:%python_provide python3-tidy}
Requires:      libtidy
Requires:      python3-six
%description -n python3-tidy
Python wrapper (bindings) for tidylib, this allows you to tidy HTML
files through a Pythonic interface.

%prep
%setup -q -n %{oname}-%{version}

%build
%{py2_build}
%{py3_build}

%install
%{py2_install}
%{py3_install}

%check
%{__python2} setup.py test
# todo: fails
%{__python3} setup.py test || :

%files -n python2-tidy
%license LICENSE
%doc README.rst
%{python2_sitelib}/tidy
%{python2_sitelib}/uTidylib-*-py2*.egg-info

%files -n python3-tidy
%license LICENSE
%doc README.rst
%{python3_sitelib}/tidy
%{python3_sitelib}/uTidylib-*-py3*.egg-info

%changelog
* Sun Sep 18 2016 Terje Rosten <terjeros@phys.ntnu.no> - 0.3-1
- 0.3
- New upstream
- Add Python 3 support

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-17
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2-5
- Rebuild for Python 2.6

* Sat Oct 18 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.2-4
- Not 64 bits clean, #467246, thanks to Jose Pedro Oliveira
  for report and patch.

* Sun Feb 17 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.2-3
- Fix license (again)

* Sun Feb 17 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.2-2
- Simplify %%files
- Fix license, req and group

* Sat Feb 16 2008 Terje Rosten <terjeros@phys.ntnu.no> - 0.2-1
- Initial build.

